Subject: Re: [bug#76026] [PATCH] gnu: cogl: Disable gstreamer plugin.

From: 宋文武 <[email-masked]>
Date: Mon, 03 Feb 2025 22:09:26 +0800

Maxim Cournoyer <[email-masked]> writes:

> Awesome, you are fixing a 5 years old bug :-).  Nitpick, I'd used
>
> Fixes: <https://issues.guix.gnu.org/39126>

Done, thank you!

> [...]
> That looks good to me, but reading
> https://blogs.gnome.org/clutter/2022/02/16/retiring-clutter/, it seems
> we should instead be removing cogl from the distribution, or at least
> never propagating it, in which case the above flag would become
> unnecessary.

Yes, It's propagated and needed by clutter, which still required by 22
packages.  GNOME propagated it by cheese, where cheese.pc does requires
cluster.  So I think remove the cogl gst plugin is right thing to do
here.